<?php
session_start();
require('../cfg/res.php');
require('../../_lib/vrdocu0.php');
include('php_gene1.php');

// $sql_pago='select *from cxpa11 where idnum1='.'"'.$_POST['idnum'].'"';
$xdocum=strtoupper($_POST['docum']);

$tabla=r_fiel('docu',$xdocum,'tabla');
// $sql_pago='select *from cxpa1 where idnum1='.'"'.$_POST['idnum'].'" order by fecha desc';
$sql_pago='select *from '.$tabla.'1 where idnum1='.'"'.$_POST['idnum'].'" order by fecha desc';
$res_pago=mysql_query($sql_pago,$link_vcrx);

$docu=mysql_result($res_pago,0,'docu');
$ptoe=mysql_result($res_pago,0,'ptoe');
$numero=mysql_result($res_pago,0,'numero');
$fecha=mysql_result($res_pago,0,'fecha');
$enti=mysql_result($res_pago,0,'enti');
$fechamin=date('Y-m-d',strtotime($fecha));
$fechamax=date('Y-m-d',strtotime($fecha.' +5 days'));

$detalle=$docu.' - '.$ptoe.'-'.$numero;

$cant=$_POST['cant'];
$base=$_POST['base'];
$porc=$_POST['porc'];
$xdocu=strtoupper($_POST['docu']);
$xptoe=$_POST['ptoe'];
$xcaja=strtoupper($_POST['caja']);
$xctab=strtoupper($_POST['ctab']);
$xbenefic=strtoupper($_POST['benefic']);
$xcair=$_POST['cair'];
$xconcepto=$_POST['concepto'];
$xfecha=$_POST['fecha'];
$xnumero=str_pad($_POST['numer'], 9, "0", STR_PAD_LEFT);

if(mb_stristr('RP',substr($xdocu,0,2)))
{
  $xdocu='RPRO';
//   $sql_rpro='select * from retp1 where  order by idnum1 desc limit 1';
//   $res_rpro=mysql_query($sql_rpro,$link_vcrx);
  
  
}


if(empty($xfecha)){$xfecha=date('Y-m-d');}
if(empty($xdocu)){$xdocu="EE10";}

$sql_docu='select *from docu0 where docu_codigo ="'.$xdocu.'"';
$res_docu=mysql_query($sql_docu,$link_vcrx);
$tabla=mysql_result($res_docu,0,'docu_tabla');
$autonum=mysql_result($res_docu,0,'docu_autonum');
$autofec=mysql_result($res_docu,0,'docu_autofec');
// echo $tabla;


if(mb_stristr('EE.AP',substr($xdocu,0,2)))
{
  $autonum=1;
	if (empty($xcaja))
	{
      $sql_ptov='select *from user0 where user_cedula ="'.$_SESSION['user_vcrx_id'].'"';
      $res_ptov=mysql_query($sql_ptov,$link_vcrx);
      $xcaja=@mysql_result($res_ptov,0,'user_caja');
	}
	if (empty($xcaja)) {$xcaja="C001";}
  $xnumero=nume_docu($xdocu,$xcaja);
}

if(empty($xptoe) and mb_stristr('EE',substr($xdocu,0,2)))
{
  $sql_ptoe='select * from caja0 where caja_codigo ="'.$xcaja.'"';
  $res_ptoe=mysql_query($sql_ptoe,$link_vcrx);
  $xptoe=mysql_result($res_ptoe,0,'caja_ptoe');
}

if(empty($xptoe) and mb_stristr('RP',substr($xdocu,0,2)))
{
  $sql_ptoe ='select * from retp1 ';
  $sql_ptoe.='where status!="O" and status!="X" ';
  $sql_ptoe.='and ptoe!="" and ptoe is not null ';
  $sql_ptoe.='order by fecha desc limit 1';
  $res_ptoe=mysql_query($sql_ptoe,$link_vcrx);
  $xptoe=mysql_result($res_ptoe,0,'ptoe');
  
}


$puni=0;
if(mb_stristr('RP',substr($xdocu,0,2)))
{
	$cant=$base;
	$puni=$porc;
  if(($xnumero*1)==0){$xnumero=nume_docu($xdocu,$xptoe);}
}

if($porc>=30){$xcair="000";}

if(!mb_stristr('caja.bcos.retp',substr($tabla,0,2)))
{die('ERROR: Documento Incorrecto');}

if($cant<=0)
{die('ERROR : Cantidad Incorrecta');}

$sql_pago1 ='select * from '.$tabla.'1 ';
$sql_pago1.='where docu="'.$xdocu.'" ';
$sql_pago1.='and ptoe="'.$xptoe.'" and numero="'.$xnumero.'" ';
$sql_pago1.='and status!="O" ';
$sql_pago1.='and status!="X" ';
$sql_pago1.='order by idnum1 desc, ptoe desc ';
$sql_pago1.='limit 1';
$res_pago1=mysql_query($sql_pago1,$link_vcrx);

// echo $sql_pago1;
$idnum1_pago='';
$xiddet=0;


if(mysql_num_rows($res_pago1)==0 and substr($xdocu,0,2)=='RP')
{
  $sql_pago1 ='select * from '.$tabla.'1 ';
  $sql_pago1.='where docu="'.$xdocu.'" ';
//   $sql_pago1.='and ptoe="'.$xptoe.'" and numero="'.$xnumero.'" ';
  $sql_pago1.='and enti="'.$enti.'" and numero="'.$xnumero.'" ';
  $sql_pago1.='and fecha="'.$xfecha.'" ';
  $sql_pago1.='and ptoe!="" and ptoe is not null ';
  $sql_pago1.='and status!="O" ';
  $sql_pago1.='and status!="X" ';
  $sql_pago1.='order by idnum1 desc, ptoe desc ';
  $sql_pago1.='limit 1';
  $res_pago1=mysql_query($sql_pago1,$link_vcrx);
  $xptoe2=@mysql_result($res_pago1,0,'ptoe');
  if($xptoe2!=''){$xptoe=$xptoe2;}
}


if(mysql_num_rows($res_pago1)!=0)
{	
	if(substr($xdocu,0,2)=='RP')
  {$idnum1_pago=mysql_result($res_pago1,0,'idnum1');}
  
	if(substr($xdocu,0,2)=='CH')
  {$idnum1_pago=mysql_result($res_pago1,0,'idnum1');}
//   else
//   {die('ERROR : Ya esta Previamente registrado');}
}

if(substr($xdocu,0,2)=='RP')
{
  if($xfecha>$fechamax){$xfecha=$fechamax;}
  if($xfecha<$fechamin){$xfecha=$fechamin;}
}


if($idnum1_pago=='')
{

  if($autofec==1){$xfecha=date('Y-m-d', strtotime('today'));}
  
  if($autonum==1 and substr($xdocu,0,2)=='RP')
  {
    $xptoe='';
    $xnumero='';
//     $xfechaa=date('Y-m-d', strtotime('today'));
    $xfechar=date('Y-m-d', strtotime('today -90 days'));
//     if($xfecha>$fechamax){die('ERROR : Fecha fuera de tiempo '.$fechamax);}
//     if($xfecha>$fechamax){$xfecha=$fechamax;}
    
    $sql_nret ='select * from retp12 ';
    $sql_nret.=' where fecha="'.$xfecha.'"';
    $sql_nret.=' and docum="'.$docu.'" ';
    $sql_nret.=' and ptoem="'.$ptoe.'" ';
    $sql_nret.=' and numer="'.$numero.'" ';
    $sql_nret.=' and enti like "'.substr($enti,0,10).'%" ';
    $sql_nret.=' and (claveacc="" or claveacc is null) ';
    $sql_nret.=' and status!="O" ';
    $sql_nret.=' and status!="X" ';
    $sql_nret.=' limit 1 ';
    $res_nret=mysql_query($sql_nret,$link_vcrx);
    if(mysql_num_rows($res_nret)!=0)
    {
      $xptoe=mysql_result($res_nret,0,'ptoe');
      $xnumero=mysql_result($res_nret,0,'numero');
      if($xptoe==''){$xptoe='001001';}
      if($xnumero==''){$xnumero=0;}
    }
    else
    {
      $sql_nret ='select * from retp1 ';
      $sql_nret.=' where 1=1 ';
      $sql_nret.=' and fecha>"'.$xfechar.'"';
      $sql_nret.=' and status!="X" ';
      $sql_nret.=' order by ptoe desc,numero desc  ';
      $sql_nret.=' limit 1 ';
      $res_nret=mysql_query($sql_nret,$link_vcrx);

      $xptoe=mysql_result($res_nret,0,'ptoe');
//       $xnumero=mysql_result($res_nret,0,'numero');
      if($xptoe==''){$xptoe='001101';}
//       if($xnumero==''){$xnumero=0;}
//       $xnumero=$xnumero+1;

      $xnumero=nume_docu('RPRO');
      
    }
    $xnumero=str_pad($xnumero, 9, "0", STR_PAD_LEFT);

  }

    $sql_pago='insert into '.$tabla.'1 (
      docu,
      ptoe,
      numero,
      fecha,
      enti,
      caja,
      ctab,
      concepto,
      iuser,
      idate,
      status	
      )
    values(
    "'.$xdocu.'",
    "'.$xptoe.'",
    "'.$xnumero.'",
    "'.$xfecha.'",
    "'.$enti.'",
    "'.$xcaja.'",
    "'.$xctab.'",
    "'.$xconcepto.'",
    "'.$_SESSION['user_vcrx_id'].'",
    now(),
    "-"
    )';
    mysql_query($sql_pago,$link_vcrx);
    // echo $sql_pago,
}	


// if(mysql_query($sql_pago,$link_vcrx))
if(1==1)
{

	$sql_pago1 ='select * from '.$tabla.'1 ';
  $sql_pago1.='where docu="'.$xdocu.'" ';
  $sql_pago1.='and ptoe="'.$xptoe.'" and numero="'.$xnumero.'" ';
  $sql_pago1.='and status!="X" ';
  $sql_pago1.='and enti="'.$enti.'" ';
  $sql_pago1.='limit 1';

//   echo $sql_pago1;
  
	$res_pago1=mysql_query($sql_pago1,$link_vcrx);
	$idnum1_pago=@mysql_result($res_pago1,0,'idnum1');
	$docu_pago=@mysql_result($res_pago1,0,'docu');
	$stfin_pago=@mysql_result($res_pago1,0,'stfin');
	$fecha_pago=@mysql_result($res_pago1,0,'fecha');
  
//   if($stfin_pago==1){die('Documento YA ESTA FINALIZADO');}
//   if(days_diff($fecha_pago,$fechaa)>=2){die('Registro FUERA DE FECHA');}
 
	if(1==1)
	{
		$idnum1_pago=mysql_result($res_pago1,0,'idnum1');

		$sql_pago2='select * from '.$tabla.'2 where idnum2='.$idnum1_pago;
		$res_pago2=mysql_query($sql_pago2,$link_vcrx);
		$xiddet=mysql_num_rows($res_pago2)+1;
		
		$sql_pago2='insert into '.$tabla.'2 (
		idnum2,
		iddet,
		docum,
		ptoem,
		numer,
		cant,
		puni,
		detalle
		)
		values(
		"'.$idnum1_pago.'",
		"'.$xiddet.'",
		"'.$docu.'",
		"'.$ptoe.'",
		"'.$numero.'",
		"'.$cant.'",
		"'.$puni.'",
		"'.$detalle.'"
		)';
		
		
		if(mysql_query($sql_pago2))
		{
		    echo mysql_error();
				if(mb_stristr('CH',substr($xdocu,0,2)))
				{
					$sql_upago1='update '.$tabla.'1 set ctab="'.$xctab.'",benefic="'.$xbenefic.'" where idnum1="'.$idnum1_pago.'"';
					$res_upago1=mysql_query($sql_upago1,$link_vcrx);
				}

				if(mb_stristr('RP',substr($xdocu,0,2)))
				{
					$sql_upago2='update '.$tabla.'2 set cair="'.$xcair.'" where idnum2="'.$idnum1_pago.'" and iddet="'.$xiddet.'"';
					$res_upago2=mysql_query($sql_upago2,$link_vcrx);
				}
		
// 			echo $idnum1_pago;
		}
		else
		{
// 			echo $idnum1_pago;
		echo mysql_error();
		}
	}
	else
	{
		echo 'ERROR:2';
	}
	
}
else
{
	echo 'ERROR:1';
}

?>